KashierDevelopersKashier Developers

Add a new customer

curl -X POST "https://test-api.kashier.io/v2/customers" \  -H "Content-Type: application/json" \  -d '{    "name": "John Doe",    "phoneNumber": "1123456789",    "emailAddress": "[email protected]",    "customFields": [      {        "name": "custom-key-1",        "value": "custom-value-1"      }    ],    "preferredCommunicationChannel": "sms"  }'
{  "body": {    "_id": "67bde55fd5a33d00120b202d",    "name": "John Doe",    "phoneNumber": "1123456789",    "emailAddress": "[email protected]",    "customFields": [      {        "name": "custom-key-1",        "value": "custom-value-1"      }    ],    "preferredCommunicationChannel": "sms",    "merchantId": "MID-XXXXX-XXX",    "customerId": "C-1740498271115",    "createdAt": "2025-02-25 15:44:31.120000+00:00",    "updatedAt": "2025-02-25 15:44:31.120000+00:00"  },  "message": "success"}

Creates a customer profile. Kashier assigns the customerId (a C- prefixed value) that you use to link the customer to payments and payment links.

Authorization

secretKey
Authorization<token>

Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

POST
/v2/customers